Page MenuHomePhabricator

Add links to Discord and Discourse to Useful Links
ClosedPublic

Authored by meikeb on Nov 19 2019, 5:10 AM.

Details

Summary

To make those two new communication channels that are up for trial more
discoverable beyond the RFC sent to llvm-dev and cfe-dev, also add them
to the section where mailing lists and IRC are advertised.

Diff Detail

Event Timeline

meikeb created this revision.Nov 19 2019, 5:10 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 19 2019, 5:10 AM
meikeb edited the summary of this revision. (Show Details)Nov 19 2019, 5:13 AM

Can we add a link to https://reviews.llvm.org ? I'm surprised that there isn't one on the top page.

I agree that it would make sense to add that to the dev resources section, but probably in a separate commit.

MyDeveloperDay added a subscriber: MyDeveloperDay.EditedNov 19 2019, 7:05 AM

Can we get proper domain names as "*.group" gets blocked by lots of corporate firewalls.

I am a bit concerned about going too fast here: while I'm supportive of replacing mailing-lists with online forums and IRC with a more modern solution which includes channels and richer content, the proposal is really new. The changes in this patch aren't even mentioning that this is an experiment or anything, it even put Discord *ahead* of IRC as far as I can tell (apologize if my HTML internal rendering is missing anything).

I read some non-trivial concerns about Discord terms of use, and the possible open-source alternative (Matrix) that were mentioned on the list. Can we consider this first?

meikeb updated this revision to Diff 231180.Nov 26 2019, 10:33 PM

Thank you for the feedback. I re-positioned Discord and named the new sections proposals.

Thanks, that looks good to me.

I don't know what "Long-form" means, but I'm not a native speaker so better leave this to someone else to double check.

davezarzycki added a comment.EditedNov 27 2019, 9:04 AM

Long-form is usually used to describe long in-depth journalism articles. I think long-term would be more apt.

echristo accepted this revision.Nov 27 2019, 11:57 PM
This revision is now accepted and ready to land.Nov 27 2019, 11:57 PM
meikeb closed this revision.Nov 28 2019, 12:22 AM

I'll leave the long-form for now as I'm not sure long-term is what we want to imply. If someone comes up with better wording, we can always change it again.